package com.dxhy.erp.dao;

import com.dxhy.erp.entity.sdny.area.Area;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 地区配置Dao
 *
 * @author 大象慧云（shanQing）
 * @since 2017-10-23 16:31:10
 */
@Mapper
public interface AreaDao {

    /**
     * 新增区域信息
     *
     * @param area 区域对象
     * @return
     */
    int addArea(Area area);

    /**
     * 根据id删除该区域信息
     *
     * @param id
     * @return
     */
    int deleteAreaById(@Param("id") Long id);

    /**
     * 更新区域名称
     *
     * @param area 区域对象
     * @return
     */
    int updateAreaName(Area area);

    /**
     * 根据pid获取该区域信息
     *
     * @param pid
     * @return
     */
    List<Area> getAreaListByPid(@Param("pid") Long pid);

    /**
     * 根据id获取该区域信息
     *
     * @param id
     * @return
     */
    Area getAreaById(@Param("id") Long id);

    /**
     * 根据区域名称查询
     *
     * @param areaName 区域名称
     * @return
     */
    List<Area> queryAreaByName(@Param("areaName") String areaName);


    /**
     * 查询所有地区
     *
     * @return
     */
    List<Area> getAllAreaList();

    /**
     * 获取区块链发票对应所有省市
     *
     * @return
     */
    List<Area> getBlockChainProviceList();

}
